// PopupMenu.h: interface for the PopupMenu function.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_POPUPMENU_H_)
#define _POPUPMENU_H_

#include "gp32lib.h"

typedef struct _POPUP
{
	char*	pszCaption;
	LPWORD	pImage;

	BOOL	(*pFunc)(void);
	BOOL	bSelected;
} POPUP, *LPPOPUP;

typedef struct _POPUPMENU
{
	LPPOPUP	pPopup;

	int		nX, nY;
	int		nWidth, nHeight;

	int		nCount;
	int		nSelected;
} POPUPMENU, *LPPOPUPMENU;

BOOL DummyFunc(void);

void ShowPopupMenu(LPPOPUPMENU lpPopup);
BOOL PopupMenuProcess(LPPOPUPMENU lpPopup);

#endif // !defined(_POPUPMENU_H_)
