// Textout.h: interface for the Textout function
//
//////////////////////////////////////////////////////////////////////

#if !defined(_TEXTOUT_H_)
#define _TEXTOUT_H_

#include "gp32lib.h"

#include "kscode.h"

BOOL GpInitFont(void);

void GpSetHanCode(HANCODE hancode);

extern void (*GpTextOutXY)(int x, int y, char* lpszText, WORD wColor);
extern void (*GpTextOutXY16)(int x, int y, char* lpszText, WORD wColor);

// KS
void GpKSTextOutXY(int x, int y, char* lpszText, WORD wColor);
void GpKSTextOutXY16(int x, int y, char* lpszText, WORD wColor);

// KSSM
void GpKSSMTextOutXY(int x, int y, char* lpszText, WORD wColor);
void GpKSSMTextOutXY16(int x, int y, char* lpszText, WORD wColor);


// Textview
void GpKSTextOutLXY(int x, int y, char* lpszText, int nLength, WORD wColor);
void GpKSSMTextOutLXY(int x, int y, char* lpszText, int nLength, WORD wColor);

#endif // !defined(_TEXTOUT_H_)
