#include "gp32lib.h"

#include "Viewport.h"
#include "Textout.h"

/*
// ALPHA COPY
void AlphaCopy(LPWORD lpSurface, LPWORD lpBuffer, LPWORD lpAlphaBuffer, int nLength)
{
	int nCol;

	LPWORD pBuffer = lpBuffer;
	LPWORD pSurface = lpSurface;

	///////////////////////////////////////////////////////////////////////////
	LPBYTE pAlphaBuffer = (LPBYTE) lpAlphaBuffer;

	DWORD sr,sg,sb, dr,dg,db;

	for (nCol = 0; nCol < nLength; nCol ++)
	{
		BYTE alpha = *(pAlphaBuffer ++);

		sb = *pBuffer & 0x1f;
		sg = (*pBuffer >> 5) & 0x3f;
		sr = (*pBuffer >> 11) & 0x1f;

		db = *pSurface & 0x1f;
		dg = (*pSurface >> 5) & 0x3f;
		dr = (*pSurface >> 11) & 0x1f;

		*pSurface = (WORD)((alpha * (sb - db) >> 8) + db |
			              ((alpha * (sg - dg) >> 8) + dg) << 5 |
                          ((alpha * (sr - dr) >> 8) + dr) << 11);

		pSurface ++;
		pBuffer  ++;
	}
}

void AlphaCopyLine(LPWORD lpSurface, LPWORD lpBuffer, int nLength)
{
	int nCol;

	LPWORD	pBuffer  = (LPWORD)  lpBuffer;
	LPDWORD	pSurface = (LPDWORD) lpSurface;

	DWORD 	r, g, b;
	WORD 	first, second;

	nLength >>= 1;
	for (nCol = 0; nCol < nLength; nCol ++)
	{
		first  = *(pBuffer ++);
		second = *(pBuffer ++);

		if (first == 0 && second == 0)
		{
			pSurface ++;
			continue;
		}

		if (first == 0xff && second == 0xff)
		{
			*pSurface ++ = 0;
			continue;
		}

		b = *pSurface & 0x1f;
		g = (*pSurface >> 5) & 0x3f;
		r = (*pSurface >> 11) & 0x1f;

		DWORD dwResult = (DWORD) ((first * (0 - b) >> 8) + b |
			                     ((first * (0 - g) >> 8) + g) << 5 |
			                     ((first * (0 - r) >> 8) + r) << 11);

		b = (*pSurface >> 16) & 0x1f;
		g = (*pSurface >> 21) & 0x3f;
		r = (*pSurface >> 27) & 0x1f;

		dwResult = dwResult & 0x0000FFFF;
		dwResult |= (DWORD)((second * (0 - b) >> 8) + b |
			               ((second * (0 - g) >> 8) + g) << 5 |
			               ((second * (0 - r) >> 8) + r) << 11 ) << 16;

		*pSurface = dwResult;

		pSurface ++;
	}
}

void PutAlphaBuffer(LPWORD lpBuffer)
{
	int nRow;

	LPWORD pSurface = gpSurface;
	LPWORD pBuffer  = lpBuffer;

	for (nRow = 0; nRow < GPC_LCD_PHYSICAL_W; nRow ++)
	{
		AlphaCopyLine(pSurface, pBuffer, GPC_LCD_PHYSICAL_W);

		pSurface += m_nWidth;
		pBuffer  += nWidth;
	}
}
*/

extern const unsigned char logo[];
void GpMain(void *arg)
{
	LPWORD pBuffer = (LPWORD) logo;

	SetClockSpeed(CPU_CLOCK133);

	//
	GpInit();

	GpPutBuffer(pBuffer);
	GpPresent();

	if (!GpInitFont())
		goto EXIT;

	InitViewport();

	SetClockSpeed(CPU_CLOCK40);

	while (1)
	{
		if (!ViewportProcess())
			break;

		GpPresent();
	}

EXIT:
	GpClose();
}
